Package docking.widgets.table.columnfilter

# Class ColumnFilterManager<ROW_OBJECT>

java.lang.Object
docking.widgets.table.columnfilter.ColumnFilterManager<ROW_OBJECT>

Type Parameters:
  `ROW_OBJECT` - the row type

public class ColumnFilterManager<ROW_OBJECT> extends Object
A class that manages column filters for a table. This includes creating the UI elements that allow users to build filters, as well as a means to save and restore filters.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FILTER_EXTENSION`
  `static final String`
  `FILTER_TEXTFIELD_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnFilterManager(JTable table, RowObjectFilterModel<ROW_OBJECT> rowObjectFilterModel, String preferenceKey, Callback filterChangedCallback)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  `JButton`
  `getConfigureButton()`
  `ColumnBasedTableFilter<ROW_OBJECT>`
  `getCurrentFilter()`
  `String`
  `getPreferenceKey()`
  `void`
  `setFilter(ColumnBasedTableFilter<ROW_OBJECT> newFilter)`
  `void`
  `updateSavedFilters(ColumnBasedTableFilter<ROW_OBJECT> filter, boolean add)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FILTER_EXTENSION

    public static final String FILTER_EXTENSION
    See Also:
      - Constant Field Values

  - ### FILTER_TEXTFIELD_NAME

    public static final String FILTER_TEXTFIELD_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ColumnFilterManager

    public ColumnFilterManager(JTable table, RowObjectFilterModel<ROW_OBJECT> rowObjectFilterModel, String preferenceKey, Callback filterChangedCallback)

- ## Method Details

  - ### getCurrentFilter

    public ColumnBasedTableFilter<ROW_OBJECT> getCurrentFilter()

  - ### getConfigureButton

    public JButton getConfigureButton()

  - ### getPreferenceKey

    public String getPreferenceKey()

  - ### setFilter

    public void setFilter(ColumnBasedTableFilter<ROW_OBJECT> newFilter)

  - ### updateSavedFilters

    public void updateSavedFilters(ColumnBasedTableFilter<ROW_OBJECT> filter, boolean add)

  - ### dispose

    public void dispose()